<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

if (isset($_POST['cotd_id'])){$cotd_id=$_POST['cotd_id'];}
if (isset($_POST['lote'])){$kar_id=$_POST['lote'];}
if (isset($_POST['cantidad_real'])){ $cantidad_real=$_POST['cantidad_real'];}
if (isset($_POST['cantidad'])){ $cantidad=$_POST['cantidad'];}

$est=mysqli_query($con,"SELECT * FROM kardex_compra WHERE kar_id='$kar_id' ") or die(mysqli_error($con));
$est=mysqli_fetch_array($est);
$lote=$est['lote'];
$cantidad_dispónible=$est['kar_cantidad_v'];
$resta=$cantidad_real-$cantidad;

if( $cantidad_dispónible>=$cantidad)
{
    $sql=mysqli_query($con,"UPDATE cotizacion_detalle Set cotd_cantidad='$cantidad', kar_id='$kar_id', kar_lote='$lote' Where cotd_id='$cotd_id'") or die(mysqli_error($con)); 

     echo    '<div class="alert alert-danger alert-dismissable">
            <strong>Debe agregar '.$resta.' en un nuevo items o seleccionar un lote con cantidad disponible.</strong></div>';

    
if($resta<=0){
?>
<script type="text/javascript">
   
</script>
<?php } }
else
{
    echo    '<div class="alert alert-danger alert-dismissable">
            <strong>No puede facturar articulos con cantidad mayor a la existente.</strong></div>';
}
?>